Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.7.11SynchronousAuth Required

CreateBlockVolume

CreateBlockVolume

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • sizeLongRequired

      The size.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • accessPathIdInteger

      Optional. The access path id.

    • accessPathIqnString

      Optional. The access path iqn.

    • burstTotalBwLong

      Optional. The burst total bandwidth.

    • burstTotalIopsLong

      Optional. The burst total IOPS.

    • maxTotalBwLong

      Optional. The maxmium total bandwidth.

    • maxTotalIopsLong

      Optional. The maximum total IOPS.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • protocolString

    Optional.The protocol.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryVolumeInventoryRequired

    See inventory.

    • iscsiPathStringRequired

      iscsi路径。

    • vendorStringRequired

      No description provided.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • vmInstanceUuidStringRequired

      The VM Instance UUID.

    • diskOfferingUuidStringRequired

      The disk offering UUID.

    • rootImageUuidStringRequired

      根镜像UUID。

    • installPathStringRequired

      安装路径。

    • typeStringRequired

      类型。

    • formatStringRequired

      数据格式或导出格式。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • deviceIdIntegerRequired

      设备ID。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isShareableBooleanRequired

      是否可分享。

    • volumeQosStringRequired

      No description provided.

    • lastDetachDateTimestampRequired

      最近一次detach时间。

    • lastVmInstanceUuidStringRequired

      最近一次云主机实例UUID。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/block-volumes

/zstack/v1/block-volumes

Operation ID

CreateBlockVolume

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/block-volumes' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","size":1,"primaryStorageUuid":"<primaryStorageUuid>","accessPathId":1,"accessPathIqn":"<accessPathIqn>","burstTotalBw":1,"burstTotalIops":1,"maxTotalBw":1,"maxTotalIops":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"],"protocol":"<protocol>"}'

Response Example

200
{ "inventory": {} }

Change History

This API has no change history records yet.

View all change history